1. Orders
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
    • Order pre-warmedup mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Orders

Get Order Details

GET
/orders
Fetches the details of an order, including information about both mailboxes and domains.

Query Parameter#

orderId#

Type: string
Description: Order Id of the order
Example: 4BAW43MZVHM0YTH4W9663PJJ8XAQ

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://customers.coldmailreseller.com/api/v1/integration/orders?orderId={{order-id}}' \
--header 'cmr-x-api-key: <api-key>'

Responses

🟢200Success
application/json
Body

Examples
{
    "status": 200,
    "message": "Order details fetched successfully",
    "data": [
        {
            "domainName": "yourchekers.org",
            "price": 17.32,
            "years": 1,
            "quantity": 1,
            "orderedProduct": "DOMAIN"
        },
        {
            "domainName": "yourchekers.org",
            "price": 11,
            "years": 1,
            "quantity": 1,
            "orderedProduct": "GOOGLE_MAILBOX"
        }
    ]
}
Modified at 2025-12-15 07:51:03
Previous
Delete dns records
Next
Get Order Status
Built with